"""The module contains functions and classes for MRI RF pulse design.
It contains functions to design a variety of RF pulses, such as SLR,
adiabatic, parallel transmit, multibanded, and others.

"""
from pulpy.rf import adiabatic, b1sel, multiband, optcont, ptx, shim, slr, util
from pulpy.rf.adiabatic import *  # noqa
from pulpy.rf.b1sel import *  # noqa
from pulpy.rf.multiband import *  # noqa
from pulpy.rf.optcont import *  # noqa
from pulpy.rf.ptx import *  # noqa
from pulpy.rf.shim import *  # noqa
from pulpy.rf.slr import *  # noqa
from pulpy.rf.util import *  # noqa

__all__ = []
__all__.extend(adiabatic.__all__)
__all__.extend(b1sel.__all__)
__all__.extend(multiband.__all__)
__all__.extend(optcont.__all__)
__all__.extend(ptx.__all__)
__all__.extend(shim.__all__)
__all__.extend(slr.__all__)
__all__.extend(util.__all__)